<?php
/*------------------------------------------------------------------------
# mod_authorlist - Author List Module
# ------------------------------------------------------------------------
# author    Jesus Vargas
# copyright Copyright (C) 2010 www.munditico.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.munditico.com
# Technical Support:  Forum - http://www.munditico.com/forum
-------------------------------------------------------------------------*/

defined('_JEXEC') or die;

require_once JPATH_SITE.'/components/com_content/helpers/route.php';

$link_name     = $params->get('link_name', 1);
$link_image    = $params->get('link_image', 1);
$show_counter  = $params->get('show_counter', 0);
$show_articles = (int)$params->get('count_articles', 0);
$css           = $params->get('add_css','authorlist.css');
if ($css!=-1) :
	$doc = JFactory::getDocument();
	$doc->addStyleSheet('modules/mod_authorlist/assets/'.$css);
endif;
?>
<table class="authorlist_table<?php echo ($moduleclass_sfx ? ' ' . $moduleclass_sfx : ''); ?><?php echo ($show_articles ? ' wlist' : ''); ?>">
<?php foreach ($list as $item) :  ?>
	<tr>
	<?php 
	if ($params->get('show_image')) : 
		?><td class="al_image"<?php if ($show_articles) : ?> rowspan="2"<?php endif; ?>><?php if ($link_image) : ?><a href="<?php echo $item->link; ?>"><?php endif; ?><?php echo $item->image; ?><?php if ($link_image) : ?></a><?php endif; ?></td><?php endif; 
	?><td class="al_name"><?php if ($link_name) : ?><a href="<?php echo $item->link; ?>"><?php endif; ?>
		<?php echo $item->name; ?><?php if ($link_name) : ?></a><?php endif; ?><?php
		if ($show_counter) : ?> <span class="articles_count">(<?php echo $item->articles_count; ?>)</span><?php
		endif; ?></td>
	</tr>
	<?php if ($show_articles) : ?>
	<tr>
		<td class="al_articles">
			<ul>
			<?php foreach($item->articles as $article) : ?>
				<li><a href="<?php echo JRoute::_(ContentHelperRoute::getArticleRoute($article->id, $article->catid)); ?>"><?php echo $article->title; ?></a></li>
			<?php endforeach; ?>
			</ul>
		</td>
	<?php endif; ?>
<?php endforeach; ?>
</table>
